> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Promote a workflow from test to live environment



## OpenAPI

````yaml /openapi/workflows.json post /workflows/{id}/promote
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/{id}/promote:
    post:
      tags:
        - Workflows
      summary: Promote a workflow from test to live environment
      operationId: workflows.promote
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  testWorkflow:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      organizationId:
                        type: string
                      environment:
                        enum:
                          - test
                          - live
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      externalId:
                        type: string
                      status:
                        enum:
                          - draft
                          - active
                          - inactive
                        type: string
                      workflow:
                        type: object
                        properties:
                          nodes:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                type:
                                  enum:
                                    - trigger.event
                                    - trigger.schedule
                                    - trigger.manual
                                    - trigger.manual_file
                                    - trigger.form_link
                                    - trigger.api
                                    - trigger.workflow_completion
                                    - source.query_transactions
                                    - source.query_clients
                                    - enrich.add_address
                                    - enrich.add_phone
                                    - enrich.add_email
                                    - enrich.add_legal_representative
                                    - enrich.add_controlling_beneficiary
                                    - enrich.add_document
                                    - enrich.add_evidence
                                    - enrich.add_transaction
                                    - enrich.add_bank_account
                                    - enrich.add_client
                                    - enrich.add_exchange_rate
                                    - transform.aggregate
                                    - transform.time_bucket
                                    - transform.window
                                    - transform.set_column
                                    - transform.python
                                    - detect.transaction_volume_anomaly
                                    - detect.transaction_outlier
                                    - detect.structuring
                                    - detect.dormant_account
                                    - combine.merge
                                    - combine.lookup
                                    - condition.filter
                                    - condition.if
                                    - condition.threshold
                                    - condition.time_window
                                    - action.create_alert
                                    - action.create_client_alert
                                    - action.upsert_client
                                    - action.upsert_transaction
                                    - action.upsert_email
                                    - action.upsert_phone
                                    - action.upsert_address
                                    - action.upsert_bank_account
                                    - action.upsert_legal_representative
                                    - action.upsert_controlling_beneficiary
                                    - ai.step
                                    - ocr.extract
                                    - form.otp_verification
                                    - form.choice
                                    - form.user_input
                                    - form.file_input
                                    - form.sign_document
                                    - form.upsert_client
                                    - form.upsert_address
                                    - form.upsert_phone
                                    - form.upsert_email
                                    - form.upsert_bank_account
                                    - form.upsert_legal_representative
                                    - source.get_reference_data
                                    - source.get_custom_reference_data
                                    - risk.calculate_pillar_by_reference
                                    - risk.calculate_pillar_by_expression
                                    - risk.calculate_pillar_by_condition
                                    - risk.save_client_assessment
                                    - risk.save_transaction_assessment
                                  type: string
                                data:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                  default: {}
                              required:
                                - id
                                - type
                            default: []
                          edges:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                source:
                                  type: string
                                  minLength: 1
                                target:
                                  type: string
                                  minLength: 1
                                sourceHandle:
                                  type: string
                                targetHandle:
                                  type: string
                                shape:
                                  enum:
                                    - table
                                    - object
                                  type: string
                              required:
                                - id
                                - source
                                - target
                            default: []
                      metadata:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      liveWorkflowId:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      testWorkflowId:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      promotedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      tags:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            color:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - name
                            - color
                    required:
                      - id
                      - organizationId
                      - environment
                      - name
                      - status
                      - workflow
                      - createdAt
                      - updatedAt
                  liveWorkflow:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      organizationId:
                        type: string
                      environment:
                        enum:
                          - test
                          - live
                        type: string
                      name:
                        type: string
                      description:
                        type: string
                      externalId:
                        type: string
                      status:
                        enum:
                          - draft
                          - active
                          - inactive
                        type: string
                      workflow:
                        type: object
                        properties:
                          nodes:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                type:
                                  enum:
                                    - trigger.event
                                    - trigger.schedule
                                    - trigger.manual
                                    - trigger.manual_file
                                    - trigger.form_link
                                    - trigger.api
                                    - trigger.workflow_completion
                                    - source.query_transactions
                                    - source.query_clients
                                    - enrich.add_address
                                    - enrich.add_phone
                                    - enrich.add_email
                                    - enrich.add_legal_representative
                                    - enrich.add_controlling_beneficiary
                                    - enrich.add_document
                                    - enrich.add_evidence
                                    - enrich.add_transaction
                                    - enrich.add_bank_account
                                    - enrich.add_client
                                    - enrich.add_exchange_rate
                                    - transform.aggregate
                                    - transform.time_bucket
                                    - transform.window
                                    - transform.set_column
                                    - transform.python
                                    - detect.transaction_volume_anomaly
                                    - detect.transaction_outlier
                                    - detect.structuring
                                    - detect.dormant_account
                                    - combine.merge
                                    - combine.lookup
                                    - condition.filter
                                    - condition.if
                                    - condition.threshold
                                    - condition.time_window
                                    - action.create_alert
                                    - action.create_client_alert
                                    - action.upsert_client
                                    - action.upsert_transaction
                                    - action.upsert_email
                                    - action.upsert_phone
                                    - action.upsert_address
                                    - action.upsert_bank_account
                                    - action.upsert_legal_representative
                                    - action.upsert_controlling_beneficiary
                                    - ai.step
                                    - ocr.extract
                                    - form.otp_verification
                                    - form.choice
                                    - form.user_input
                                    - form.file_input
                                    - form.sign_document
                                    - form.upsert_client
                                    - form.upsert_address
                                    - form.upsert_phone
                                    - form.upsert_email
                                    - form.upsert_bank_account
                                    - form.upsert_legal_representative
                                    - source.get_reference_data
                                    - source.get_custom_reference_data
                                    - risk.calculate_pillar_by_reference
                                    - risk.calculate_pillar_by_expression
                                    - risk.calculate_pillar_by_condition
                                    - risk.save_client_assessment
                                    - risk.save_transaction_assessment
                                  type: string
                                data:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                  default: {}
                              required:
                                - id
                                - type
                            default: []
                          edges:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                source:
                                  type: string
                                  minLength: 1
                                target:
                                  type: string
                                  minLength: 1
                                sourceHandle:
                                  type: string
                                targetHandle:
                                  type: string
                                shape:
                                  enum:
                                    - table
                                    - object
                                  type: string
                              required:
                                - id
                                - source
                                - target
                            default: []
                      metadata:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      liveWorkflowId:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      testWorkflowId:
                        anyOf:
                          - type: string
                            format: uuid
                          - type: 'null'
                      promotedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      tags:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            color:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - name
                            - color
                    required:
                      - id
                      - organizationId
                      - environment
                      - name
                      - status
                      - workflow
                      - createdAt
                      - updatedAt
                required:
                  - testWorkflow
                  - liveWorkflow
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````